ALFALAH - Feature #3380

Validasi Pilihan CompanylD dan Template
01/30/2025 12:19 PM - haykal haykal

Status: Revise Start date: 01/30/2025
Priority: Urgent Due date: 02/07/2025
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Shofwan,

Untuk pilihan filter CompanyID dan Template di report Financial Position ingin dibikin validasi misalkan yang dipilih adalah PT.
Alfalah Grup Indonesia maka pilihan Template yang boleh muncul hanya Al-Falah Detail dan Al-Falah Recap. Begitupun kalau
CompanyID yang dipilih adalah PT. Naffar maka pilihan Templatenya juga harus menyesuaikan.

Untuk mappingannya saya lampirkan di file Excel berikut.

Terimakasih.

Menu Path: Financial Accounting > Reporting > Financial Position

Port: https://hris-alfalah-dev.minovais.com/
DB: MinovaES_ALFALAH (di 89)

History

#1 - 01/31/2025 02:43 PM - Kezia Pawitra Yulianti
- Due date set to 02/07/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 02/10/2025 10:25 AM - shofwan shiddiq

- File clipboard-202502101025-Idkjh.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, kalau seperti ini. template nya perlu dibuatkan table ref.
berikut langkah2 membuat table dengan relasi combo

1. buat table master data template, yang berisi template id dan office
2. di sdatatablefield, di field template, isi trigger combo nya template id

Berikut contoh nya yang sudah berjalan di relasi employee office dan employee area sebagai sample

.l

84 % -
B Results i Messages

FieldMame Sequence SelectionType ColumnMNo  Description Required IsHidden FieldRef DefaultValue FormatRef SearchType TableRef Tri rCombo SelectFuncti
1 Employeefrea 2 1 1 Employeefrea o o EMPAREA MNULL 0 PCMEPEMPAREA i
2 EmployeeOffice 3 1 1 EmployeeOffice 0 o EMPOFF NULL 0 PCMEPEMPOFF

StartDate  EndDate CompanylD  Employeefrea EmployeeAreaDescription  MNotes CreateBy CreateDate ChangeBy ChangeDate
1 20160101 99991231 1000 0001 Bekasi minovais  20160101010101  Zul 20240725142728
2 20160101 99991231 3000 : Cabang KoSPE minovais  20160101010101  Zul 20240725142756

StartDate  EndDate EmployeeOffice  EfployeeOfficeDesc) Employeehrea
20160101 9999123 Igon BSD
20160101 9999123

Office  NPWP Address EmployeeOfficeGroup  MinimumW.
02.369.011.8-071.000 lcon BSD oo3
02.369.011.8-071.0071  JI. Proklamasi No.51, RT.11/RW.2, Pegangsaan, Ke. 003

-
https://hris-alfalah-dev.minovais.com/

#3 - 02/10/2025 12:01 PM - haykal haykal
- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to shofwan shiddigq

Dear Shofwan, sudah ditambahkan table ref nya ya... Nama Tabelnya PCMEPCOMPIDTEMPLATE

#4 - 02/11/2025 11:14 AM - shofwan shiddiq

- File clipboard-202502111111-0etto.png added

- File clipboard-202502111111-sx1k7.png added

- File clipboard-202502111112-150t9.png added

- Assignee changed from shofwan shiddiq to haykal haykal
Dear Haykal, kedua combo sudah saling berhubungan ya.

untuk settingan nya seperti ini di SDTATATABLEFIELD
Column Alias Table Output Sort Type

ReportlD PCMEPRPT..
3 FieldName PCMEPRPT...

Sequence PCMEPRPT...

SelectionType PCMEPRPT...

ColumnMNo PCMEPRPT...

Description PCMEPRPT...

Required PCMEPRPT...

IsHidden PCMEPRPT...

FieldRef PCMEPRPT...

DefaultValue PCMEPRPT...

FormatRef PCMEPRPT...

SearchType PCMEPRPT...

TableRef PCMEPRPT...

TriggerCombo PCMEPRPT...

ReportlD FieldName Seq.. Sel.. Co.. Description

PRPTFSSKO.. CompanylD 3 1 1 CompanylD
» PRPTFSSKO.. TemplatelD 5 1 1 Template
* NULL NULL NULL  NULL NU.. NULL

Sort Order Filter
= 'PRPTFSSKONTRO®
= TemplatelD"
Required IsHi.. Field.. D. FormatRef
o COMP... NULL
0 TEMPL... NULL
NULL NULL  NULL N.. NULL

1. Di field = Template, isi table ref PCMEPCOMPIDTEMPLATE sesuai yang udah dibuat
2. Dl field CompanyID, isi trigger combo tableRef ( sesuai dengan nama field yang ingin di relasi kan ke company id ) = TemplatelD

#5 - 02/12/2025 02:44 PM - haykal haykal
- Status changed from Assigned to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Or... Or...

= 'PRPTFSSKONTRO’

Compary> |

Se.. TableRef
0 PCMEPCOMPID

0 PCMEPCOMPIDTEMPLATE

NULL NULL

Or...
TriggerCombo S¢
Templ.
NULL
ULL NU

Wan udh ok, pilihan templatenya sudah ter-mapping sesuai dengan CompanyID yang dipilih. Namun inginnya user tidak bisa memilih Template kalau

belum memilih Company ID.

Referensinya mungkin bisa dari report All Employee dimana user tidak bisa memilih Employee Office sebelum memilih Employee Area.

Terimakasih.

Files

Mappingan CompanyID dan FSTemplate.xlsx
